## gss

gss

## Types and Values

#define | GSS_VERSION
#define | GSS_VERSION_MAJOR
#define | GSS_VERSION_MINOR
#define | GSS_VERSION_PATCH
#define | GSS_VERSION_NUMBER

## Description

## Functions

## Types and Values

### GSS_VERSION

    #define             GSS_VERSION

Pre-processor symbol with a string that describe the header file version number. Used together with `gss_check_version()` to verify header file and run-time library consistency.

### GSS_VERSION_MAJOR

    #define             GSS_VERSION_MAJOR

Pre-processor symbol with a decimal value that describe the major level of the header file version number. For example, when the header version is 1.2.3 this symbol will be 1.

### GSS_VERSION_MINOR

    #define             GSS_VERSION_MINOR

Pre-processor symbol with a decimal value that describe the minor level of the header file version number. For example, when the header version is 1.2.3 this symbol will be 2.

### GSS_VERSION_PATCH

    #define             GSS_VERSION_PATCH

Pre-processor symbol with a decimal value that describe the patch level of the header file version number. For example, when the header version is 1.2.3 this symbol will be 3.

### GSS_VERSION_NUMBER

    #define             GSS_VERSION_NUMBER

Pre-processor symbol with a hexadecimal value describing the header file version number. For example, when the header version is 1.2.3 this symbol will have the value 0x010203.